.btn-primary {
    --bs-btn-color: #fff;
    --bs-btn-bg: #000000;
    --bs-btn-border-color: #000000;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #ff2c59;
    --bs-btn-hover-border-color: #ff2c59;
    --bs-btn-focus-shadow-rgb: 49,132,253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #ff2c59;
    --bs-btn-active-border-color: #0a53be;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #000000;
    --bs-btn-disabled-border-color: #000000;
}

input[type="text"]:read-only  { 
    color:grey; 
    background-color: #e9ecef;
    outline: none;
}

.mt-1 {
  margin-top: 20px !important;
}

.mt-2 {
  margin-top: 40px !important;
}

.mt-3 {
  margin-top: 60px !important;
}